New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

added the option to choose between npm/yarn on the templates that install dependencies #133

Merged
merged 1 commit into from Oct 29, 2018

Conversation

Projects
None yet
3 participants
@s1moe2
Contributor

s1moe2 commented Oct 6, 2018

This is a quite simple enhancement that asks for a package manager (npm/yarn) to use during the last step of 'ext-command-ts', 'ext-command-js' and 'ext-localization' extension types.
I have made this with a 'list' type prompt so that the options are well defined.
Slightly changed the templates affected by this.
Edited the tests that require this new prompt and created an additional one for 'ext-localization'.

@msftclas

This comment has been minimized.

msftclas commented Oct 6, 2018

CLA assistant check
All CLA requirements met.

@aeschli aeschli added this to the October 2018 milestone Oct 29, 2018

@aeschli aeschli merged commit d0fda9b into Microsoft:master Oct 29, 2018

2 checks passed

continuous-integration/travis-ci/pr The Travis CI build passed
Details
license/cla All CLA requirements met.
Details
@aeschli

This comment has been minimized.

Contributor

aeschli commented Oct 29, 2018

Thanks @s1moe2 !

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment